Add an app using raw CWL

This call allows you to add an app using raw CWL.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

If you are using Seven Bridges Platform EU, please use the following endpoint: https://eu-api.sbgenomics.com/v2/apps/{project_owner}/{project}/{app_short_name}/raw

👍

app_ids

The full {project_owner}/{project}/{app_short_name}/{revision_number} path for this API call is known as App ID.

You can create the {app_short_name} for your app when you upload it. It can be any string of alphanumeric characters, with no spaces. Note that the app's given name (a full human-readable string) is contained in the CWL that you POST.

Path Params
string
required

If you are using Enterprise, use the name of the Division that owns the project in which you want to store the app; otherwise, enter the Platform username of the project owner.

string
required

The name of the project in which you want to store the app.

string
required

A short name for the app (without any non-alphanumeric characters or spaces)

int32
required

The app revision (version) number.

Query Params
fields
array of strings

Selector specifying a subset of fields to include in the response.

fields
Body Params
json

The body of the request should be a CWL app description saved as a JSON or YAML file. For a template of this description, try making the call to get raw CWL for an app about an app already in one of your projects.

Headers
string
required

Your Seven Bridges Platform authentication token.

Language
LoadingLoading…